org.apache.sysds.runtime.instructions.cp

## Class StringObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data
  - - org.apache.sysds.runtime.instructions.cp.ScalarObject
    - - org.apache.sysds.runtime.instructions.cp.StringObject

- All Implemented Interfaces:
    Serializable

      public class StringObject
      extends ScalarObject

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringObject(String val)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkMaxStringLength(long len)`
    `boolean` | `getBooleanValue()`
    `double` | `getDoubleValue()`
    `long` | `getLongValue()`
    `int` | `getSize()`
    `String` | `getStringValue()`
    `Object` | `getValue()`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ScalarObject

      `getDebugName, getLanguageSpecificStringValue, toString`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

      `getDataType, getMetaData, getPrivacyConstraint, getValueType, removeMetaData, setMetaData, setPrivacyConstraints, updateDataCharacteristics`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringObject

          public StringObject(String val)

  - ### Method Detail

    - #### getBooleanValue

          public boolean getBooleanValue()

      Specified by:
        `getBooleanValue` in class `ScalarObject`

    - #### getLongValue

          public long getLongValue()

      Specified by:
        `getLongValue` in class `ScalarObject`

    - #### getDoubleValue

          public double getDoubleValue()

      Specified by:
        `getDoubleValue` in class `ScalarObject`

    - #### getStringValue

          public String getStringValue()

      Specified by:
        `getStringValue` in class `ScalarObject`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in class `ScalarObject`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `ScalarObject`

    - #### checkMaxStringLength

          public static void checkMaxStringLength(long len)

Copyright © 2021 The Apache Software Foundation. All rights reserved.